Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## be.fgov.ehealth.timestamping.protocol.v2
Class JournalEntryType

    java.lang.Object
      be.fgov.ehealth.timestamping.protocol.v2.JournalEntryType

All Implemented Interfaces:
  Serializable

    @Generated(value="com.sun.tools.xjc.Driver",
               date="2022-12-12T04:57:08+01:00",
               comments="JAXB RI v2.2.11")
    public class JournalEntryType

extends Object
implements Serializable

Java class for JournalEntryType complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="JournalEntryType">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="Hash" type="{http://www.w3.org/2001/XMLSchema}string"/>
             <element name="Ref" type="{http://www.w3.org/2001/XMLSchema}long"/>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

See Also:
  Serialized Form

Constructor Summary
`JournalEntryType()`

Method Summary
`String` | `getHash()` Gets the value of the hash property.
`long` | `getRef()` Gets the value of the ref property.
`void` | `setHash(String value)` Sets the value of the hash property.
`void` | `setRef(long value)` Sets the value of the ref property.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JournalEntryType

    public JournalEntryType()

Method Detail

### getHash

    public String getHash()

  Gets the value of the hash property.

  Returns:
    possible object is `String`

### setHash

    public void setHash(String value)

  Sets the value of the hash property.

  Parameters:
    `value` - allowed object is `String`

### getRef

    public long getRef()

  Gets the value of the ref property.

### setRef

    public void setRef(long value)

  Sets the value of the ref property.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Connector Packaging PERSPODOLOGIST 3.24.0-beta-4 API
Copyright © {inceptionYear}-2022 eHealth. All Rights Reserved.